org.apache.jmeter.protocol.smtp.sampler.protocol

## Class LocalTrustStoreSSLSocketFactory

- java.lang.Object
- - javax.net.SocketFactory
  - - javax.net.ssl.SSLSocketFactory
    - - org.apache.jmeter.protocol.smtp.sampler.protocol.LocalTrustStoreSSLSocketFactory

-     public class LocalTrustStoreSSLSocketFactory
      extends javax.net.ssl.SSLSocketFactory

  This class implements an SSLSocketFactory which supports a local truststore.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalTrustStoreSSLSocketFactory(java.io.File truststore)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.Socket` | `createSocket()`
    `java.net.Socket` | `createSocket(java.net.InetAddress inaddr, int i)`
    `java.net.Socket` | `createSocket(java.net.InetAddress inaddr, int i, java.net.InetAddress inaddr1, int j)`
    `java.net.Socket` | `createSocket(java.net.Socket socket, java.lang.String s, int i, boolean flag)`
    `java.net.Socket` | `createSocket(java.lang.String s, int i)`
    `java.net.Socket` | `createSocket(java.lang.String s, int i, java.net.InetAddress inaddr, int j)`
    `java.lang.String[]` | `getDefaultCipherSuites()`
    `java.lang.String[]` | `getSupportedCipherSuites()`

    - ### Methods inherited from class javax.net.ssl.SSLSocketFactory

      `createSocket, getDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalTrustStoreSSLSocketFactory

          public LocalTrustStoreSSLSocketFactory(java.io.File truststore)

  - ### Method Detail

    - #### createSocket

          public java.net.Socket createSocket(java.net.Socket socket,
                                              java.lang.String s,
                                              int i,
                                              boolean flag)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.ssl.SSLSocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.net.InetAddress inaddr,
                                              int i,
                                              java.net.InetAddress inaddr1,
                                              int j)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.net.InetAddress inaddr,
                                              int i)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.lang.String s,
                                              int i,
                                              java.net.InetAddress inaddr,
                                              int j)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.lang.String s,
                                              int i)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket()
                                       throws java.io.IOException

      Overrides:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### getDefaultCipherSuites

          public java.lang.String[] getDefaultCipherSuites()

      Specified by:
        `getDefaultCipherSuites` in class `javax.net.ssl.SSLSocketFactory`

    - #### getSupportedCipherSuites

          public java.lang.String[] getSupportedCipherSuites()

      Specified by:
        `getSupportedCipherSuites` in class `javax.net.ssl.SSLSocketFactory`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.